Package: org.gradle.external.javadoc

## [Java] Class CoreJavadocOptions

- org.gradle.external.javadoc.CoreJavadocOptions

- All Implemented Interfaces and Traits:
    MinimalJavadocOptions

      public abstract class CoreJavadocOptions

  Provides the core Javadoc Options. That is, provides the options which are not doclet specific.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CoreJavadocOptions ()`
    `protected CoreJavadocOptions (JavadocOptionFile optionFile)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `JavadocOptionFileOption<Boolean>` | `addBooleanOption(String option)`
    `JavadocOptionFileOption<Boolean>` | `addBooleanOption(String option, boolean value)`
    `JavadocOptionFileOption<T>` | `addEnumOption(String option)`
    `JavadocOptionFileOption<T>` | `addEnumOption(String option, T value)`
    `JavadocOptionFileOption<File>` | `addFileOption(String option)`
    `JavadocOptionFileOption<File>` | `addFileOption(String option, File value)`
    `JavadocOptionFileOption<List<String>>` | `addMultilineStringsOption(String option)`
    `JavadocOptionFileOption<T>` | `addOption(JavadocOptionFileOption<T> option)`
    `JavadocOptionFileOption<List<File>>` | `addPathOption(String option)`
    `JavadocOptionFileOption<List<File>>` | `addPathOption(String option, String joinBy)`
    `JavadocOptionFileOption<String>` | `addStringOption(String option)`
    `JavadocOptionFileOption<String>` | `addStringOption(String option, String value)`
    `JavadocOptionFileOption<List<String>>` | `addStringsOption(String option)`
    `JavadocOptionFileOption<List<String>>` | `addStringsOption(String option, String joinBy)`
    `MinimalJavadocOptions` | `bootClasspath(File... bootClasspath)`
    `MinimalJavadocOptions` | `breakIterator(boolean breakIterator)`
    `MinimalJavadocOptions` | `breakIterator()`
    `MinimalJavadocOptions` | `classpath(List<File> classpath)`
    `MinimalJavadocOptions` | `classpath(File... classpath)`
    `void` | `contributeCommandLineOptions(ExecSpec execHandleBuilder)`
    `MinimalJavadocOptions` | `doclet(String doclet)`
    `MinimalJavadocOptions` | `docletpath(File... docletpath)`
    `MinimalJavadocOptions` | `encoding(String encoding)`
    `MinimalJavadocOptions` | `extDirs(File... extDirs)`
    `List<File>` | `getBootClasspath()`
    `List<File>` | `getClasspath()`
    `String` | `getDoclet()`
    `List<File>` | `getDocletpath()`
    `String` | `getEncoding()`
    `List<File>` | `getExtDirs()`
    `List<String>` | `getJFlags()`
    `String` | `getLocale()`
    `JavadocMemberLevel` | `getMemberLevel()`
    `List<File>` | `getOptionFiles()`
    `JavadocOutputLevel` | `getOutputLevel()`
    `String` | `getOverview()`
    `String` | `getSource()`
    `List<String>` | `getSourceNames()`
    `boolean` | `isBreakIterator()`
    `boolean` | `isVerbose()`
    `MinimalJavadocOptions` | `jFlags(String... jFlags)`
    `MinimalJavadocOptions` | `locale(String locale)`
    `MinimalJavadocOptions` | `optionFiles(File... argumentFiles)`
    `MinimalJavadocOptions` | `overview(String overview)` Fluent setter for the overview option.
    `MinimalJavadocOptions` | `quiet()`
    `void` | `setBootClasspath(List<File> bootClasspath)`
    `void` | `setBreakIterator(boolean breakIterator)`
    `void` | `setClasspath(List<File> classpath)`
    `void` | `setDoclet(String doclet)`
    `void` | `setDocletpath(List<File> docletpath)`
    `void` | `setEncoding(String encoding)`
    `void` | `setExtDirs(List<File> extDirs)`
    `void` | `setJFlags(List<String> jFlags)`
    `void` | `setLocale(String locale)`
    `void` | `setMemberLevel(JavadocMemberLevel memberLevel)`
    `void` | `setOptionFiles(List<File> optionFiles)`
    `void` | `setOutputLevel(JavadocOutputLevel outputLevel)`
    `void` | `setOverview(String overview)`
    `void` | `setSource(String source)`
    `void` | `setSourceNames(List<String> sourceNames)`
    `MinimalJavadocOptions` | `showAll()`
    `MinimalJavadocOptions` | `showFromPackage()`
    `MinimalJavadocOptions` | `showFromPrivate()`
    `MinimalJavadocOptions` | `showFromProtected()`
    `MinimalJavadocOptions` | `showFromPublic()`
    `MinimalJavadocOptions` | `source(String source)`
    `MinimalJavadocOptions` | `sourceNames(String... sourceNames)`
    `MinimalJavadocOptions` | `verbose()`
    `void` | `write(File outputFile)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public CoreJavadocOptions()

    - #### protected CoreJavadocOptions(JavadocOptionFile optionFile)

  - ### Method Detail

    - #### public JavadocOptionFileOption<Boolean> addBooleanOption(String option)

    - #### public JavadocOptionFileOption<Boolean> addBooleanOption(String option, boolean value)

    - #### public JavadocOptionFileOption<T> addEnumOption(String option)

    - #### public JavadocOptionFileOption<T> addEnumOption(String option, T value)

    - #### public JavadocOptionFileOption<File> addFileOption(String option)

    - #### public JavadocOptionFileOption<File> addFileOption(String option, File value)

    - #### public JavadocOptionFileOption<List<String>> addMultilineStringsOption(String option)

    - #### public JavadocOptionFileOption<T> addOption(JavadocOptionFileOption<T> option)

    - #### public JavadocOptionFileOption<List<File>> addPathOption(String option)

    - #### public JavadocOptionFileOption<List<File>> addPathOption(String option, String joinBy)

    - #### public JavadocOptionFileOption<String> addStringOption(String option)

    - #### public JavadocOptionFileOption<String> addStringOption(String option, String value)

    - #### public JavadocOptionFileOption<List<String>> addStringsOption(String option)

    - #### public JavadocOptionFileOption<List<String>> addStringsOption(String option, String joinBy)

    - #### public MinimalJavadocOptions bootClasspath(File... bootClasspath)

    - #### public MinimalJavadocOptions breakIterator(boolean breakIterator)

    - #### public MinimalJavadocOptions breakIterator()

    - #### public MinimalJavadocOptions classpath(List<File> classpath)

    - #### public MinimalJavadocOptions classpath(File... classpath)

    - #### public void contributeCommandLineOptions(ExecSpec execHandleBuilder)

    - #### public MinimalJavadocOptions doclet(String doclet)

    - #### public MinimalJavadocOptions docletpath(File... docletpath)

    - #### public MinimalJavadocOptions encoding(String encoding)

    - #### public MinimalJavadocOptions extDirs(File... extDirs)

    - #### public List<File> getBootClasspath()

    - #### public List<File> getClasspath()

    - #### public String getDoclet()

    - #### public List<File> getDocletpath()

    - #### public String getEncoding()

    - #### public List<File> getExtDirs()

    - #### public List<String> getJFlags()

    - #### public String getLocale()

    - #### public JavadocMemberLevel getMemberLevel()

    - #### public List<File> getOptionFiles()

    - #### public JavadocOutputLevel getOutputLevel()

    - #### public String getOverview()

    - #### public String getSource()

    - #### public List<String> getSourceNames()

    - #### public boolean isBreakIterator()

    - #### public boolean isVerbose()

    - #### public MinimalJavadocOptions jFlags(String... jFlags)

    - #### public MinimalJavadocOptions locale(String locale)

    - #### public MinimalJavadocOptions optionFiles(File... argumentFiles)

    - #### public MinimalJavadocOptions overview(String overview)

      Fluent setter for the overview option.

      Parameters:
        `overview` - The new overview.
      Returns:
        The `MinimalJavadocOptions` object.

    - #### public MinimalJavadocOptions quiet()

    - #### public void setBootClasspath(List<File> bootClasspath)

    - #### public void setBreakIterator(boolean breakIterator)

    - #### public void setClasspath(List<File> classpath)

    - #### public void setDoclet(String doclet)

    - #### public void setDocletpath(List<File> docletpath)

    - #### public void setEncoding(String encoding)

    - #### public void setExtDirs(List<File> extDirs)

    - #### public void setJFlags(List<String> jFlags)

    - #### public void setLocale(String locale)

    - #### public void setMemberLevel(JavadocMemberLevel memberLevel)

    - #### public void setOptionFiles(List<File> optionFiles)

    - #### public void setOutputLevel(JavadocOutputLevel outputLevel)

    - #### public void setOverview(String overview)

    - #### public void setSource(String source)

    - #### public void setSourceNames(List<String> sourceNames)

    - #### public MinimalJavadocOptions showAll()

    - #### public MinimalJavadocOptions showFromPackage()

    - #### public MinimalJavadocOptions showFromPrivate()

    - #### public MinimalJavadocOptions showFromProtected()

    - #### public MinimalJavadocOptions showFromPublic()

    - #### public MinimalJavadocOptions source(String source)

    - #### public MinimalJavadocOptions sourceNames(String... sourceNames)

    - #### public MinimalJavadocOptions verbose()

    - #### public final void write(File outputFile)